de.heatup.timers

## Class HardwareResetTimers

- java.lang.Object
- - de.heatup.timers.HardwareResetTimers

-     public class HardwareResetTimers
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HardwareResetTimers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `setManipulated(char c)` Setzt das gegebene Hardware-Objekt auf "manipuliert" und merkt sich den aktuellen Tick + Resetzeit = Tick an dem resettet werden muss.
    `static void` | `tick()` Zählt ticks und resettet somit Spielzeit orientiert die Hardware-Objekte.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HardwareResetTimers

          public HardwareResetTimers()

  - ### Method Detail

    - #### tick

          public static void tick()

      Zählt ticks und resettet somit Spielzeit orientiert die Hardware-Objekte.

    - #### setManipulated

          public static void setManipulated(char c)

      Setzt das gegebene Hardware-Objekt auf "manipuliert" und merkt sich den aktuellen Tick + Resetzeit = Tick an dem resettet werden muss.
      Parameters:
        `c` - Hardware-Objekt, welches als manipuliert gelten soll.